/* The layout of a directory. */


#ifndef _DIR_H
#define _DIR_H

#define DIRBLKSIZ	512     /* size of directory block */
#define DIRSIZ		14
#define DIRSIZEX	30

#include "inode.h"

typedef struct {
	ino_t d_ino;
	char d_name[DIRSIZ];
} direct_t;

typedef struct {
	ino_t d_ino;
	char d_name[DIRSIZEX];
} directex_t;

direct_t direct;
directex_t directex;

#endif /* _DIR_H */

